Ruby: OnigToken Struct Reference

Ruby 3.3.4p94 (2024-07-09 revision be1089c8ec5ba40e09b1553e36b3174bf4014d9d)

Data Fields
OnigToken Struct Reference

## Data Fields
enum TokenSyms | type
int | escaped
int | base
UChar * | backp
union { |
UChar * s |
int c |
OnigCodePoint code |
struct { |
int subtype |
int ascii_range |
} anchor |
struct { |
int lower |
int upper |
int greedy |
int possessive |
} repeat |
struct { |
int num |
int ref1 |
int * refs |
int by_name |
int exist_level |
int level |
} backref |
struct { |
UChar * name |
UChar * name_end |
int gnum |
int rel |
} call |
struct { |
int ctype |
int not |
} prop |
} | u |

## Detailed Description

Definition at line 2416 of file regparse.c.

## Field Documentation

## ◆ ascii_range

int OnigToken::ascii_range

Definition at line 2427 of file regparse.c.

## ◆ backp

UChar* OnigToken::backp

Definition at line 2420 of file regparse.c.

## ◆ base

int OnigToken::base

Definition at line 2419 of file regparse.c.

## ◆ by_name

int OnigToken::by_name

Definition at line 2439 of file regparse.c.

## ◆ c

int OnigToken::c

Definition at line 2423 of file regparse.c.

## ◆ code

OnigCodePoint OnigToken::code

Definition at line 2424 of file regparse.c.

## ◆ ctype

int OnigToken::ctype

Definition at line 2452 of file regparse.c.

## ◆ escaped

int OnigToken::escaped

Definition at line 2418 of file regparse.c.

## ◆ exist_level

int OnigToken::exist_level

Definition at line 2441 of file regparse.c.

## ◆ gnum

int OnigToken::gnum

Definition at line 2448 of file regparse.c.

## ◆ greedy

int OnigToken::greedy

Definition at line 2432 of file regparse.c.

## ◆ level

int OnigToken::level

Definition at line 2442 of file regparse.c.

## ◆ lower

int OnigToken::lower

Definition at line 2430 of file regparse.c.

## ◆ name

UChar* OnigToken::name

Definition at line 2446 of file regparse.c.

## ◆ name_end

UChar* OnigToken::name_end

Definition at line 2447 of file regparse.c.

## ◆ not

int OnigToken::not

Definition at line 2453 of file regparse.c.

## ◆ num

int OnigToken::num

Definition at line 2436 of file regparse.c.

## ◆ possessive

int OnigToken::possessive

Definition at line 2433 of file regparse.c.

## ◆ ref1

int OnigToken::ref1

Definition at line 2437 of file regparse.c.

## ◆ refs

int* OnigToken::refs

Definition at line 2438 of file regparse.c.

## ◆ rel

int OnigToken::rel

Definition at line 2449 of file regparse.c.

## ◆ s

UChar* OnigToken::s

Definition at line 2422 of file regparse.c.

## ◆ subtype

int OnigToken::subtype

Definition at line 2426 of file regparse.c.

## ◆ type

enum TokenSyms OnigToken::type

Definition at line 2417 of file regparse.c.

## ◆ upper

int OnigToken::upper

Definition at line 2431 of file regparse.c.

The documentation for this struct was generated from the following file:

- regparse.c